Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding
[Java] Class SimpleDomainClassPropertyComparator

    java.lang.Object
      org.codehaus.groovy.grails.scaffolding.SimpleDomainClassPropertyComparator

All Implemented Interfaces:
  java.util.Comparator

    @SuppressWarnings("rawtypes")
    public class SimpleDomainClassPropertyComparator

Comparator used when Hibernate isn't installed.

Authors:
  Burt Beckwith

Constructor Summary
`SimpleDomainClassPropertyComparator(GrailsDomainClass domainClass)`

Method Summary
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleDomainClassPropertyComparator

    public SimpleDomainClassPropertyComparator(GrailsDomainClass domainClass)

Method Detail

### compare

    public int compare(java.lang.Object o1, java.lang.Object o2)

Groovy Documentation